<template>
	<view class="content">
		<view class="content-money">
			<view class="money-box">
			 <!--  <view class="money_img"><image :src="list.avatar || img"></image></view> -->
			   <view class="money_name">{{all}}</view>
			   <view class="money_name">推广人数</view>
			</view>
			<view class="flex buttom-box">
				<view class="buttom">
					<view class="money">{{total || 0}}</view>
					<text class="text">一级推广</text>
				</view>
				<view class="interval"></view>
				<view class="buttom">
					<view class="money">{{totalLevel || 0}}</view>
					<text class="text">二级推广</text>
				</view>
			</view>
		</view>
		<view class="navbar">
			<view v-for="(item, index) in navList" :key="index" class="nav-item" :class="{ current: tabCurrentIndex === index }" @click="tabClick(index)">{{ item.text }}</view>
		</view>
		<swiper :current="tabCurrentIndex" :style="{ height: maxheight + 'px' }" class="swiper-box" duration="300" @change="changeTab">
			<swiper-item class="tab-content" v-for="(tabItem, tabIndex) in navList" :key="tabIndex">
				<scroll-view class="list-scroll-content" scroll-y @scrolltolower="loadData">
					<!-- 空白页 -->
					<empty v-if="tabItem.loaded === true && tabItem.orderList.length === 0"></empty>

					<!-- 订单列表 -->
					<view v-for="(item, index) in tabItem.orderList" :key="index" class="order-item flex">
						<view class="title-box flex_item">
							<view class="title-avatar"><image :src="item.avatar"></image></view>
							<view class="list_tpl">
								<view class="title">
									<text>{{ item.nickname }}</text>
								</view>
								<view class="time">
									<text>{{ item.time }}</text>
								</view>
							</view>
						</view>
					</view>
					<uni-load-more :status="tabItem.loadingType"></uni-load-more>
				</scroll-view>
			</swiper-item>
		</swiper>
	</view>
</template>
<script>
import { spread_people } from '@/api/team.js';
import { mapState, mapMutations } from 'vuex';
import uniLoadMore from '@/components/uni-load-more/uni-load-more.vue';
import empty from '@/components/empty';
export default {
	components: {
		empty,
		uniLoadMore,
	},
	onReady() {
		// 初始化获取页面宽度
		uni.createSelectorQuery()
			.select('.content')
			.fields(
				{
					size: true
				},
				data => {
					// console.log(data);
					// console.log(Math.floor((data.width / 750) * 300));
					// 保存头部高度
					this.maxheight = data.height - Math.floor((data.width / 750) * 570);
					// console.log(this.maxheight);
				}
			)
			.exec();
	},
	data() {
		return {
			// 头部图高度
			maxheight: '',
			tabCurrentIndex: 0,
			navList: [
				{
					state: 0,
					text: '一级',
					loadingType: 'more',
					orderList: [],
					page: 1, //当前页数
					limit: 10 //每次信息条数
				},
				{
					state: 1,
					text: '二级',
					loadingType: 'more',
					orderList: [],
					page: 1, //当前页数
					limit: 10 //每次信息条数
				}
			],
			all:'',
			list:'',
			total:'',
			totalLevel:'',
			img:'http://kaifa.crmeb.net/uploads/attach/2019/08/20190807/723adbdd4e49a0f9394dfc700ab5dba3.png'
		};
	},
	onLoad(options) {},
	onShow() {
		this.loadData();	
	},
	methods: {
		// 页面跳转
		navto(e) {
			uni.navigateTo({
				url: e
			});
		},
		//获取收入支出信息
		async loadData(source) {
			//这里是将订单挂载到tab列表下
			let index = this.tabCurrentIndex;
			let navItem = this.navList[index];
			let state = navItem.state;
			if (source === 'tabChange' && navItem.loaded === true) {
				//tab切换只有第一次需要加载数据
				return;
			}
			if (navItem.loadingType === 'loading') {
				//防止重复加载
				return;
			}
			if (navItem.loadingType === 'noMore') {
				//防止重复加载
				return;
			}
			// 修改当前对象状态为加载中
			navItem.loadingType = 'loading';
			spread_people(
				{
					page: navItem.page,
					limit: navItem.limit,
					keyword:'',
					sort:'',
					grade:state
				},
			)
				.then(({ data }) => {
					this.total = data.total;
					this.totalLevel =data.totalLevel;
					this.all = this.total + this.totalLevel;
					if (data.list.length > 0) {
						this.list = data.list;
						navItem.orderList = navItem.orderList.concat(data.list);
						navItem.page++;
					}
					this.$nextTick(function(){
						if (navItem.limit == data.list.length) {
							//判断是否还有数据， 有改为 more， 没有改为noMore
							navItem.loadingType = 'more';
							return;
						} else {
							//判断是否还有数据， 有改为 more， 没有改为noMore
							navItem.loadingType = 'noMore';
						}
					})
					this.$set(navItem, 'loaded', true);
				})
				.catch(e => {
					console.log(e);
				});
		},
		//swiper 切换
		changeTab(e) {
			this.tabCurrentIndex = e.target.current;
			this.loadData('tabChange');
		},
		//顶部tab点击
		tabClick(index) {
			this.tabCurrentIndex = index;
		}
	}
};
</script>

<style lang="scss">
page {
	background: #ffffff;
	height: 100%;
}
.content-money {
	padding-bottom: 30rpx;
	background: $page-color-base;
	.buttom-box {
		background-color: #ffffff;
		text-align: center;
		margin: 0 30rpx;
		padding: 30rpx 0;
		border-radius: $border-radius-sm;
		margin-top: -60rpx;
		.buttom {
			font-size: $font-lg;
			flex-grow: 1;
			.money{
				font-weight: bold;
				font-size: 32rpx;
				color: #DB1935;
			}
		}
		.text {
			color: #666666;
		}
		.interval {
			width: 2rpx;
			height: 60rpx;
			background-color: #eeeeee;
		}
		.icon {
			height: 50rpx;
			width: 48rpx;
			margin: 0 auto;
			.icon-img {
				width: 100%;
				height: 100%;
			}
		}
	}
}
.money-box {
	background:linear-gradient(0deg,rgba(250,39,64,1),rgba(254,85,68,1));
	height: 320rpx;
	color: #ffffff;
	text-align: center;
	font-size: 35rpx;
	padding-top: 60rpx;
	.money_img{
		width: 100%;
		height: 120rpx;
		text-align: center;
		padding-top: 50rpx;
		padding-bottom: 135rpx;
		image{
			width:120rpx;
			height: 120rpx;
			border: 4rpx solid #FD5F6F;
			border-radius: 50%;
		}
	}
	.money_name{
		width: 100%;
		text-align: center;
		font-size: 40rpx;
		padding-bottom: 25rpx;
	}
}

.navbar {
	display: flex;
	height: 40px;
	padding: 0 5px;
	background: #fff;
	box-shadow: 0 1px 5px rgba(0, 0, 0, 0.06);
	position: relative;
	z-index: 10;
	.nav-item {
		flex: 1;
		display: flex;
		justify-content: center;
		align-items: center;
		height: 100%;
		font-size: 15px;
		color: $font-color-dark;
		position: relative;
		&.current {
			color: #FC2A3F;
			&:after {
				content: '';
				position: absolute;
				left: 50%;
				bottom: 0;
				transform: translateX(-50%);
				width: 44px;
				height: 0;
				border-bottom: 2px solid #FC2A3F;
			}
		}
	}
}
// 列表

.swiper-box {
	padding-top: 10rpx;
	.order-item {
		padding: 20rpx 30rpx;
		line-height: 1.5;
		.title-box {
			width: 100%;
			.title-avatar{
				width: 100rpx;
				height: 100rpx;
				margin-right: 25rpx;
				image{
					width: 100%;
					height: 100%;
					border-radius: 100%;
				}
			}
			.list_tpl{
				width: 85%;
				.title {
					font-size: $font-lg;
					color: $font-color-base;
					overflow:hidden;            //超出的文本隐藏
					text-overflow:ellipsis;     //溢出用省略号显示
					white-space:nowrap; 
				}
				.time {
					font-size: $font-base;
					color: $font-color-light;
				}
			}
		}
		.money {
			color: #DB1935;
			font-size: $font-lg;
		}
	}
}
.list-scroll-content {
	height: 100%;
}
.content {
	height: 100%;
	.empty-content {
		background-color: #ffffff;
	}
}
</style>
